/var/log/messages

debugging with sixth sense

SciPy を OSX に導入

ええと、以下なスクリプトを取得して実行してみます。

pip が無いと叱られた。ので以下。

$ sudo easy_install pip

で、リトライしてみます。

$ sudo sh ./numpy_os_x_10_9.sh

失敗

RuntimeError: Running cythonize failed! とのこと。ええと、Cython なるソレを導入せねば、なのかどうか。

とりあえず

から Cython-0.22.zip 取得して解凍して

$ cd Cython-0.22
$ python setup.py build
$ sudo python setup.py install --record files.txt

なのか。

Fortran?

なんか

error: library dfftpack has Fortran sources but no Fortran compiler found

って言われました。gfortran なるソレを入れれば良いのかどうか。

から Maverics なソレ (dmg) を入手してアレ。

gcc-4.2

あら、

sh: gcc-4.2: command not found

とのこと。いちおう gcc --version したら 4.2.1 ってことなので

$ sudo ln -s /usr/bin/gcc /usr/bin/gcc-4.2

にしてリトライ。

導入完了?

Successfully installed scipy-0.11.0

ってことなので Think Stats の演習問題 7-6 をアレしてみます。

まだ駄目

ええと _ufuncs なのかな。

ImportError: dlopen(/Users/rms/tmp/7262122/src/scipy/scipy/special/_ufuncs.so, 2): no suitable image found. Did find:
        /Users/rms/tmp/7262122/src/scipy/scipy/special/_ufuncs.so: mach-o, but wrong architecture

とのこと。

brew install python

してみます。現在 2.7.5 とのことでした。brew install したら 2.7.6 になる模様。その後再度 pip install で scipy と numpy も、なのかどうか。

ええと、再度 numpy_os_x_10_9.sh を kickoff してみてます。

駄目だ

brew install python したら python-2.7.9 already installed と出力されますが、python --version の出力は 2.7.5 だな。

pyenv?

入れてみる。

$ brew install pyenv-virtualenv pyenv

で、pyenv install 2.7.6 してみました。環境変数も設定してます。ええと pyenv てことは numpy および scipy は pip install しないと、なのかな。

ええと

$ pyenv versions
* system (set by /Users/rms/.pyenv/version)
  2.7.6

とのことで以下か。

$ pyenv global 2.7.6
$ pyenv versions
  system
* 2.7.6 (set by /Users/rms/.pyenv/version)

で、pip install してます。どうなるか。

動いた

$ python 7-6.py
chi-square test :   10.6
p-value "  0.0599136258042

~/.bashrc を読みこんでませんでしたorz

Comments